не могу поставить VIRTUEMART

Тема в разделе "Установка и обновление расширений Joomla", создана пользователем Mindworker666, 07.11.2009.

  1. Offline

    Mindworker666 Недавно здесь

    Регистрация:
    07.11.2009
    Сообщения:
    6
    Симпатии:
    0
    Пол:
    Мужской
    поставил на денвере Joomla_1015_Lavra_Edition_2008 скачал компонент интернет магазина
    VirtueMART = com_virtuemart_20090314.tar.gz
    пытаюсь прикрепить компонент сразу архивом - пишет: Загрузка component - Ошибка загрузки
    Не могу переместить загруженный файл в каталог /media

    распаковал - сделал установить из каталога - установилось ! пытаюсь запустить магазин пишет :

    Warning: require_once(X:/home/localhost/www/vomz/administrator/components/com_virtuemart/sql/sql.virtuemart.php) [function.require-once]: failed to open stream: No such file or directory in X:\home\localhost\www\vomz\administrator\components\com_virtuemart\install.php on line 146

    Fatal error: require_once() [function.require]: Failed opening required 'X:/home/localhost/www/vomz/administrator/components/com_virtuemart/sql/sql.virtuemart.php' (include_path='.;/usr/local/php5/PEAR') in X:\home\localhost\www\vomz\administrator\components\com_virtuemart\install.php on line 146


    чо такое могет быть ( ?
     
  2.  
  3. Fanamura
    Offline

    Fanamura Доброта

    Регистрация:
    12.03.2007
    Сообщения:
    5 108
    Симпатии:
    159
    Пол:
    Мужской
    Mindworker666, при установке магазина (точнее при установке через установку расширений) предлагается установить демоданные и прочее, без этого виртуй работать не будет (к демо-данным не относится). Видимо после успешной установки Вы не стали продолжать установку (тафтология).
     
  4. Offline

    Mindworker666 Недавно здесь

    Регистрация:
    07.11.2009
    Сообщения:
    6
    Симпатии:
    0
    Пол:
    Мужской
    после установки виртуалмарт из каталога есть 2 функции : ЗАЙТИ В МАГАЗИН и УСТАНОВИТЬ ДЕМОДАННЫЕ
    нажимаю УСТАНОВИТЬ ДЕМОДАННЫЕ - всплывает сообщение : <localhost>

    Пожалуйста не прерывайте следующий шаг!
    Это может оказать влияние на работу VirtueMart.

    жму ОК - открывается страничка где большими буквами написано "ЖУРНАЛ ОБНОВЛЕНИЯ" и всё !
    что делать дальше ?

    нажимаю F5 - вижу :
    Warning: require_once(X:/home/localhost/www/vomz/administrator/components/com_virtuemart/sql/sql.virtuemart.php) [function.require-once]: failed to open stream: No such file or directory in X:\home\localhost\www\vomz\administrator\components\com_virtuemart\install.php on line 146

    Fatal error: require_once() [function.require]: Failed opening required 'X:/home/localhost/www/vomz/administrator/components/com_virtuemart/sql/sql.virtuemart.php' (include_path='.;/usr/local/php5/PEAR') in X:\home\localhost\www\vomz\administrator\components\com_virtuemart\install.php on line 146
     
  5. Offline

    Mindworker666 Недавно здесь

    Регистрация:
    07.11.2009
    Сообщения:
    6
    Симпатии:
    0
    Пол:
    Мужской
    то же самое если нажать - зайти в магазин
     
  6. Fanamura
    Offline

    Fanamura Доброта

    Регистрация:
    12.03.2007
    Сообщения:
    5 108
    Симпатии:
    159
    Пол:
    Мужской
    Mindworker666, что за сервер? В логе ошибок есть что? Судя по всему процесс установке завершается с ошибкой
     
  7. Offline

    Mindworker666 Недавно здесь

    Регистрация:
    07.11.2009
    Сообщения:
    6
    Симпатии:
    0
    Пол:
    Мужской
    сервер ДЕНВЕР но и AppServer пробовал - одно и тоже !
    насчёт ошибки - после установки вверху магазина пишется :

    Ошибка!
    Неверный адрес

    Вы попытались получить доступ к адресу http://googleads.g.doubleclick.net/pagead/ads?client=ca-pub-9724148116117358&output=html&h=60&slotname=8164140714&w=468&lmt=0&ea=0&flash=10.0.32&url=http%3A%2F%2Flocalhost%2Fvomz%2Fadministrator%2Findex2.php%3Foption%3Dcom_virtuemart&dt=1257588703341&correlator=1257588703351&frm=0&ga_vid=1576861661.1257588703&ga_sid=1257588703&ga_hid=910339976&ga_fc=0&u_tz=180&u_his=51&u_java=0&u_h=600&u_w=800&u_ah=570&u_aw=800&u_cd=32&u_nplug=6&u_nmime=220&biw=800&bih=442&ref=http%3A%2F%2Flocalhost%2Fvomz%2Fadministrator%2Findex2.php%3Foption%3Dcom_installer%26element%3Dcomponent&fu=0&ifi=1&dtd=20, который сейчас недоступен. Убедитесь, что веб-адрес (URL) введен правильно, и попытайтесь перезагрузить страницу.
    Убедитесь, что соединение с Интернет активно, и проверьте, работают ли другие приложения, использующие это соединение.
     
  8. Offline

    Mindworker666 Недавно здесь

    Регистрация:
    07.11.2009
    Сообщения:
    6
    Симпатии:
    0
    Пол:
    Мужской
    а затем идёт :
    Добро пожаловать в
    ВМРЕ 1.0.15b Стабильный !
    ВМРЕ 1.0.15b Стабильный [Голодный воробей]
    10/06/2008 14:30 CET
    Первый шаг установки прошел УСПЕШНОТеперь подготовим базу данных (Скрипт установки не смог найти таблиц mambo-phpShop/VirtueMart от предыдущих установок, значит будет произведена установка новой версии).
     
  9. Offline

    Mindworker666 Недавно здесь

    Регистрация:
    07.11.2009
    Сообщения:
    6
    Симпатии:
    0
    Пол:
    Мужской
    смотрел видеоурок по joomla там
    на joomla lavra edition 2007 1.0.12 ставят com_virtuemart_13a.tar
    ставится всё без сучка и без задоринки )
    у меня joomla lavra edition 2008 1.0.15 и com_virtuemart_20090314.tar.gz

    если можете посскажите где скачать старые версии - попробую на них....

    ps. DENwER = Denwer3_Base_2008-01-13_a2.2.4_p5.2.4_m5.0.45_pma2.6.1.exe
     
  10. Offline

    slava088 Недавно здесь

    Регистрация:
    23.11.2009
    Сообщения:
    5
    Симпатии:
    0
    Пол:
    Мужской
    Добрый день. Установил версию Joomla! 1.5.15 Stable на денвере, хотел добавить расширение пишет ошибку "Ошибка закачки файла на сервер", версии VirtueMart_1.1.4-COMPLETE_PACKAGE.j15; Joomla_1.5.15_RE-Stable-Full-Package.tar - также пишет наверху совместимость с версией 1.0. Прошу сильно не пинать, подскажите пожалуйста кто пользуется...почему так происходит...в факе все проискал, изменение файла "в корне сайта надо htaccess.txt переименовать в .htaccess и в конце добавить строчку" делал, но так ничего и не вышло...Буду благодарен за любую помощь...
     
  11. Offline

    slava088 Недавно здесь

    Регистрация:
    23.11.2009
    Сообщения:
    5
    Симпатии:
    0
    Пол:
    Мужской
    Установил, только больше вопросов стало...При входе в компоненты и выборе вкладки VIRTUEMART - пишет Basic Installation has been finished. You can use VirtueMart in a moment after having clicked on a link below.
    To fill your Shop with dummy products, and to see how things can be set up, you can install some Sample Data now.
    Go directly to the Shop >> Install SAMPLE DATA >> При нажати на ссылки выводит сообщение
    HTTP 500 - Внутренняя ошибка сервера Internet Explorer. При активации в РАСШИРЕНИИ- МОДУЛИ вирт...
    при просмотре страницы показывает Вы ошиблись при наборе URL в браузере. Вероятнее всего, сервер пытается найти файл Z:/home/localhost/www/myс|:)project/function.require-once, которого не существует.

    Warning: require_once(Z:\home\localhost\www\myproject\modules\mod_productscroller/../components/com_virtuemart/virtuemart_parser.php) [function.require-once]: failed to open stream: No such file or directory in Z:\home\localhost\www\myproject\modules\mod_productscroller\mod_productscroller.php on line 24

    Fatal error: require_once() [function.require]: Failed opening required 'Z:\home\localhost\www\myproject\modules\mod_productscroller/../components/com_virtuemart/virtuemart_parser.php' (include_path='.;/usr/local/php5/PEAR') in Z:\home\localhost\www\myproject\modules\mod_productscroller\mod_productscroller.php on line 24
    ппц...вместо ссылок рожицы еще рисует...
    Ну я так понял никто тут никому не друг и не помощник(
     
    Последнее редактирование: 24.11.2009
  12. OlegM
    Offline

    OlegM Russian Joomla! Team Команда форума

    Регистрация:
    12.04.2007
    Сообщения:
    4 356
    Симпатии:
    370
    Пол:
    Мужской
    slava088, а сейчас всё переустанови.
    Распакуй VirtueMart_1.1.4-COMPLETE_PACKAGE.j15.zip и ставь сначала com_virtuemart_1.1.4.j15.zip, а затем нужные модули и плагины.

    После нажатия ссылки Install SAMPLE DATA жди и ничего не трогай.
     
  13. Offline

    slava088 Недавно здесь

    Регистрация:
    23.11.2009
    Сообщения:
    5
    Симпатии:
    0
    Пол:
    Мужской
    Joomla_1.5.7_RUS, VirtueMart_1.1.4-COMPLETE_PACKAGE.j15 - установил, при входе на "компоненты"- VirtueMart - далее жму Install SAMPLE DATA ... жду ...жду долго...выдает ошибку HTTP 500 - Внутренняя ошибка сервера Internet Explorer
     
  14. Offline

    slava088 Недавно здесь

    Регистрация:
    23.11.2009
    Сообщения:
    5
    Симпатии:
    0
    Пол:
    Мужской
    Короче... не хватает времени 30 сек...изменение файла в .htaccess начало писать ошибку типа неправильно написал...и там как-то ложить его в корень сайта для хостеров...тоже не подходит...я на Денвере пока устанавливаю...сделал так в php.ini увеличил параметр max_execution_time = 30...
    путь Z:\usr\local\php5
    ппц просто какой-то...:hunter:
    Причем IE просто давал ошибку 500...установил оперу 10...сразу все понятно стало...
     

Поделиться этой страницей

Загрузка...